## openstack-trove 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
SQLAlchemy<1.1.0,>=0.9.9
eventlet>=0.17.4
keystonemiddleware>=2.0.0
kombu>=3.0.7
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
WebOb>=1.2.3
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate>=0.9.6
netaddr!=0.7.16,>=0.7.12
netifaces>=0.10.4
httplib2>=0.7.5
lxml>=2.3
passlib>=1.6
python-heatclient>=0.3.0
python-novaclient>=2.28.1
python-cinderclient>=1.3.1
python-keystoneclient>=1.6.0
python-swiftclient>=2.2.0
python-designateclient>=1.0.0
python-neutronclient>=2.6.0
iso8601>=0.1.9
jsonschema!=2.5.0,<3.0.0,>=2.0.0
Jinja2>=2.6 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
MySQL-python;python_version=='2.7'
Babel>=1.3
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
osprofiler>=0.3.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:4.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 17:22:34 -0400

openstack-trove (1:4.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:36:19 -0400

openstack-trove (1:4.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 14:22:43 +0100

openstack-trove (1:4.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 16:02:37 -0400

openstack-trove (1:4.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/control: Add python-pymysql to (build-)depends.
  * d/p/skip-tests.patch: Skip tests that require mysql-server.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Sep 2015 09:10:46 -0400

openstack-trove (1:4.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-sslv3-not-supported.patch: Dropped. No longer needed.
  * d/p/fix-columun-uniqueness.patch: Dropped. Fixed upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 13:45:54 -0400

openstack-trove (1:4.0.0~b1-0ubuntu3) wily; urgency=medium

  * debian/patches/fix-columun-uniqueness.patch: Fix testsuite with 
    sqlalchemy 1.0.6. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 31 Jul 2015 08:41:28 -0400

openstack-trove (1:4.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/rules: Drop OSLO_PACKAGE_VERSION, not required as we use upstream
    release tarballs in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jul 2015 17:59:31 +0100

openstack-trove (1:4.0.0~b1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Liberty.
    - d/control: Align (build-)depends with upstream.
    - d/p/fix-intlong-test.patch: Dropped; Fixed upstream.
    - d/p/fix-sslv3-not-supported.patch: Added to drop sslv3 support.
    - d/p/fix-base-unit-test-class.patch: Avoid mock search exception.
    - d/p/fix-tests.patch: Dropped. No longer needed.

  [ James Page ]
  * Drop openstack-doc-tools and openstack.nose-plugin from BD's as they are
    not used in the package build.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Jul 2015 12:23:14 +0100

openstack-trove (2015.1.0-0ubuntu1.2) vivid; urgency=medium

  * d/p/patch-default-config-file.patch: Fix to ensure that path to
    sqlite database is fully specified (LP: #1451134). 

 -- James Page <james.page@ubuntu.com>  Wed, 13 May 2015 11:55:48 +0100

openstack-trove (2015.1.0-0ubuntu1.1) vivid; urgency=medium

  * d/p/patch-default-config-file.patch: Update default sqlite db file location
    to ensure that db sync can be run on install (LP: #1451134).

 -- James Page <james.page@ubuntu.com>  Thu, 07 May 2015 16:36:19 +0100

openstack-trove (2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 16:01:25 +0200

openstack-trove (2015.1~rc1-0ubuntu2) vivid; urgency=medium

  * Ensure package tests pass on 32 and 64 bit systems (LP: #1446174):
    - d/p/fix-intlong-test.patch: Check for int *and* long values as valid
      types for max/min parameters.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Apr 2015 12:20:31 +0100

openstack-trove (2015.1~rc1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-requirements.patch: Dropped
    - d/p/patch-default-config-file.patch: Rebased

  [ James Page ]
  * d/rules,control: Tweak unit test execution, add subunit to BD's.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 14:03:27 -0400

openstack-trove (2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-requirements.patch: Rebased.
    - d/p/patch-default-config-file.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Feb 2015 13:04:14 -0500

openstack-trove (2015.1~b1-0ubuntu3) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:28:57 +0000

openstack-trove (2015.1~b1-0ubuntu2) vivid; urgency=medium

  * Systemd enablement:
    - d/control: Add dh-systemd and openstack-pkg-tools to BD's.
    - d/rules: Enable use of pkgos, tidyup generated init files.
    - d/*.init.in: Convert *.init to pkgos template configurations.
    - d/*.upstart,*.init: Drop in preference to generated files.
  * d/control,compat: Bump debhelper compat level to 9.
  * d/*.logrotate,trove-common.logrotate: Move to single logrotate
    configuration.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Jan 2015 15:15:12 -0500

openstack-trove (2015.1~b1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Open up for vivid.
  * debian/control: Update bzr branches. 

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/watch: Update uversionmangle for kilo beta naming.
    - d/p/fix-requirements: Align requirements with Ubuntu.
  * d/control: Bumped Standards-Version to 3.9.6.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Jan 2015 13:39:46 -0500

openstack-trove (2014.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.



=== debian/control ===
Source: openstack-trove
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends: debhelper (>= 9~),
               dh-exec,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage (>= 3.6),
                     python-designateclient (>= 1.0.0),
                     python-eventlet (>= 0.17.4),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 0.3.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2 (>= 2.6),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-kombu (>= 3.0.7),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:2.6.0),
                     python-nose,
                     python-nosexcover,
                     python-novaclient (>= 1:2.28.1),
                     python-openstack-doc-tools (>= 0.23),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-osprofiler (>= 0.3.0),
                     python-passlib (>= 1.6),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pbr (>= 1.8),
                     python-pexpect (>= 3.1),
                     python-proboscis (>= 1.2.5.3),
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-redis (>= 2.10.0),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-testtools (>= 1.4.0),
                     python-troveclient,
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     python-wsgi-intercept (>= 0.6.1),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-trove
Homepage: http://github.com/openstack/trove

Package: python-trove
Architecture: all
Section: python
Depends: python-babel (>= 1.3),
         python-cinderclient (>= 1:1.3.1),
         python-designateclient (>= 1.0.0),
         python-eventlet (>= 0.17.4),
         python-heatclient (>= 0.3.0),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-jinja2 (>= 2.6),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-kombu (>= 3.0.7),
         python-lxml (>= 2.3),
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 1:2.28.1),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-osprofiler (>= 0.3.0),
         python-passlib (>= 1.6),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pexpect (>= 3.1),
         python-pymysql,
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-suds (>= 0.4.0),
Conflicts: python-cjson,
Description: Database as a Service for OpenStack - Python lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python library.

Package: trove-common
Architecture: all
Depends: adduser,
         python-trove (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove common files.

Package: trove-api
Architecture: all
Depends: trove-common,
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-guestagent
Architecture: all
Depends: trove-common,
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - guest agent
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove guest agent. The guestagent is a service that
 runs within the guest instance, responsible for managing and performing
 operations on the Database itself. The Guest Agent listens for RPC messages
 through the message bus and performs the requested operation.

Package: trove-taskmanager
Architecture: all
Depends: trove-common,
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - taskmanager
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove taskmanager. The trove-taskmanager service
 does the heavy lifting as far as provisioning instances, managing the
 lifecycle of instances, and performing operations on the Database instance.

Package: trove-conductor
Architecture: all
Depends: trove-common,
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - conductor
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove conductor.

## openstack-trove 4.0.2

=== requirements.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 pbr>=1.6
 SQLAlchemy<1.1.0,>=0.9.9
 eventlet>=0.17.4
-keystonemiddleware>=2.0.0
-kombu>=3.0.7
-Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
-Routes!=2.0,>=1.12.3;python_version!='2.7'
+keystonemiddleware!=2.4.0,>=2.0.0
+kombu!=4.0.0,>=3.0.7 # BSD
+Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
+Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 WebOb>=1.2.3
 PasteDeploy>=1.5.0
 Paste
@@ -18,9 +18,9 @@
 lxml>=2.3
 passlib>=1.6
 python-heatclient>=0.3.0
-python-novaclient>=2.28.1
+python-novaclient!=2.33.0,>=2.28.1
 python-cinderclient>=1.3.1
-python-keystoneclient>=1.6.0
+python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
 python-swiftclient>=2.2.0
 python-designateclient>=1.0.0
 python-neutronclient>=2.6.0
@@ -33,12 +33,12 @@
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 oslo.concurrency>=2.3.0 # Apache-2.0
 MySQL-python;python_version=='2.7'
-Babel>=1.3
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 six>=1.9.0
 stevedore>=1.5.0 # Apache-2.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
 osprofiler>=0.3.0 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0

=== debian/changelog ===
openstack-trove (1:4.0.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1648071).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 08:20:57 -0500

openstack-trove (1:4.0.1-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1619452).

 -- David Della Vecchia <ddv@canonical.com>  Wed, 12 Oct 2016 11:12:03 -0400

openstack-trove (1:4.0.0-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Oct 2015 13:16:19 +0000

## openstack-trove 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.2.3 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
httplib2>=0.7.5 # MIT
lxml>=2.3 # BSD
passlib>=1.6 # BSD
python-heatclient>=0.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
iso8601>=0.1.9 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
Jinja2>=2.8 # BSD License (3 clause)
pexpect!=3.3,>=3.1 # ISC License
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
MySQL-python;python_version=='2.7' # GPL
Babel>=1.3 # BSD
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
osprofiler>=1.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

=== debian/changelog ===
openstack-trove (1:5.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 16:03:58 -0400

openstack-trove (1:5.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:39:35 -0400

openstack-trove (1:5.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-failing-tests.patch: Skip tests that are getting
    _StringException.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Jan 2016 18:01:09 -0500

openstack-trove (1:5.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Dec 2015 12:15:52 -0500

=== debian/control ===
--- 
+++ 
@@ -15,19 +15,20 @@
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-babel (>= 1.3),
+                     python-cassandra (>= 2.1.4),
                      python-cinderclient (>= 1:1.3.1),
+                     python-couchdb (>= 0.8),
                      python-coverage (>= 3.6),
-                     python-designateclient (>= 1.0.0),
+                     python-designateclient (>= 1.5.0),
                      python-eventlet (>= 0.17.4),
                      python-hacking (>= 0.10.0),
-                     python-heatclient (>= 0.3.0),
+                     python-heatclient (>= 0.6.0),
                      python-httplib2 (>= 0.7.5),
                      python-iso8601 (>= 0.1.9),
-                     python-jinja2 (>= 2.6),
+                     python-jinja2 (>= 2.8),
                      python-jsonschema (>= 2.0.0),
                      python-keystoneclient (>= 1:1.6.0),
-                     python-keystonemiddleware (>= 2.0.0),
-                     python-kombu (>= 3.0.7),
+                     python-keystonemiddleware (>= 4.0.0),
                      python-lxml (>= 2.3),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.2),
@@ -38,31 +39,34 @@
                      python-neutronclient (>= 1:2.6.0),
                      python-nose,
                      python-nosexcover,
-                     python-novaclient (>= 1:2.28.1),
+                     python-novaclient (>= 2:2.29.0),
                      python-openstack-doc-tools (>= 0.23),
                      python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
+                     python-oslo.config (>= 1:3.2.0),
                      python-oslo.context (>= 0.2.0),
+                     python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.log (>= 1.14.0),
+                     python-oslo.messaging (>= 2.6.1),
+                     python-oslo.middleware (>= 3.0.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.4.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-osprofiler (>= 0.3.0),
+                     python-osprofiler (>= 0.4.0),
                      python-passlib (>= 1.6),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
                      python-pbr (>= 1.8),
                      python-pexpect (>= 3.1),
+                     python-psycopg2 (>= 2.5),
                      python-proboscis (>= 1.2.5.3),
                      python-pymongo (>= 3.0.2),
                      python-pymysql,
                      python-redis (>= 2.10.0),
                      python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
                      python-swiftclient (>= 1:2.2.0),
                      python-testtools (>= 1.4.0),
@@ -82,33 +86,34 @@
 Section: python
 Depends: python-babel (>= 1.3),
          python-cinderclient (>= 1:1.3.1),
-         python-designateclient (>= 1.0.0),
+         python-designateclient (>= 1.5.0),
          python-eventlet (>= 0.17.4),
-         python-heatclient (>= 0.3.0),
+         python-heatclient (>= 0.6.0),
          python-httplib2 (>= 0.7.5),
          python-iso8601 (>= 0.1.9),
-         python-jinja2 (>= 2.6),
+         python-jinja2 (>= 2.8),
          python-jsonschema (>= 2.0.0),
          python-keystoneclient (>= 1:1.6.0),
-         python-keystonemiddleware (>= 2.0.0),
-         python-kombu (>= 3.0.7),
+         python-keystonemiddleware (>= 4.0.0),
          python-lxml (>= 2.3),
          python-migrate (>= 0.9.6),
          python-mysqldb,
          python-netaddr (>= 0.7.12),
          python-netifaces (>= 0.10.4),
          python-neutronclient (>= 1:2.6.0),
-         python-novaclient (>= 1:2.28.1),
+         python-novaclient (>= 2:2.29.0),
          python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.3.0),
+         python-oslo.config (>= 1:3.2.0),
          python-oslo.context (>= 0.2.0),
+         python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
-         python-osprofiler (>= 0.3.0),
+         python-oslo.log (>= 1.14.0),
+         python-oslo.messaging (>= 2.6.1),
+         python-oslo.middleware (>= 3.0.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.4.0),
+         python-osprofiler (>= 0.4.0),
          python-passlib (>= 1.6),
          python-paste,
          python-pastedeploy (>= 1.5.0),
@@ -117,7 +122,7 @@
          python-pymysql,
          python-routes (>= 1.12.3),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
          python-swiftclient (>= 1:2.2.0),
          python-webob (>= 1.2.3),
@@ -244,7 +249,3 @@
  complex administrative tasks including deployment, configuration, patching,
  backups, restores, and monitoring. Trove is designed to support a
  single-tenant database within a Nova instance. There is no restrictions on how
- Nova is configured, since Trove interacts with other OpenStack components
- purely through the API.
- .
- This package provides the Trove conductor.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/trove trove-(\d.*)\.tar\.gz
